Agora Java API Reference for Android

Public Member Functions | Public Attributes | List of all members
io.agora.rtc2.Constants.StreamFallbackOptions Enum Reference

## Public Member Functions
int | getValue ()

## Public Attributes
| STREAM_FALLBACK_OPTION_DISABLED =(0)
| STREAM_FALLBACK_OPTION_VIDEO_STREAM_LOW =(1)
| STREAM_FALLBACK_OPTION_AUDIO_ONLY =(2)
| STREAM_FALLBACK_OPTION_VIDEO_STREAM_LAYER_1 =(3)
| STREAM_FALLBACK_OPTION_VIDEO_STREAM_LAYER_2 =(4)
| STREAM_FALLBACK_OPTION_VIDEO_STREAM_LAYER_3 =(5)
| STREAM_FALLBACK_OPTION_VIDEO_STREAM_LAYER_4 =(6)
| STREAM_FALLBACK_OPTION_VIDEO_STREAM_LAYER_5 =(7)
| STREAM_FALLBACK_OPTION_VIDEO_STREAM_LAYER_6 =(8)

## Member Data Documentation

## ◆ STREAM_FALLBACK_OPTION_DISABLED

io.agora.rtc2.Constants.StreamFallbackOptions.STREAM_FALLBACK_OPTION_DISABLED =(0)

0: No fallback operation to a lower resolution stream when the network condition is poor. Fallback to Scalable Video Coding (e.g. SVC) is still possible, but the resolution remains in high stream. The stream quality cannot be guaranteed.

## ◆ STREAM_FALLBACK_OPTION_VIDEO_STREAM_LOW

io.agora.rtc2.Constants.StreamFallbackOptions.STREAM_FALLBACK_OPTION_VIDEO_STREAM_LOW =(1)

1: (Default) Under poor network conditions, the receiver SDK will receive agora::rtc::VIDEO_STREAM_LOW. You can only set this option in setRemoteSubscribeFallbackOption. Nothing happens when you set this in setLocalPublishFallbackOption.

## ◆ STREAM_FALLBACK_OPTION_AUDIO_ONLY

io.agora.rtc2.Constants.StreamFallbackOptions.STREAM_FALLBACK_OPTION_AUDIO_ONLY =(2)

2: Under poor network conditions, the SDK may receive agora::rtc::VIDEO_STREAM_LOW first, then agora::rtc::VIDEO_STREAM_LAYER_1 to agora::rtc::VIDEO_STREAM_LAYER_6 if the related layer exists. If the network still does not allow displaying the video, the SDK will receive audio only.

## ◆ STREAM_FALLBACK_OPTION_VIDEO_STREAM_LAYER_1

io.agora.rtc2.Constants.StreamFallbackOptions.STREAM_FALLBACK_OPTION_VIDEO_STREAM_LAYER_1 =(3)

3~8: If the receiver SDK uses setRemoteSubscribeFallbackOption, it will receive one of the streams from agora::rtc::VIDEO_STREAM_LAYER_1 to agora::rtc::VIDEO_STREAM_LAYER_6 if the related layer exists when the network condition is poor. The lower bound of fallback depends on the STREAM_FALLBACK_OPTION_VIDEO_STREAM_LAYER_X.